'use strict';
var yeoman = require('yeoman-generator');

module.exports = yeoman.generators.Base.extend({
  initializing: function () {
    this.pkg = require('../package.json');
  },

  writing: {
    app: function () {
      this.dest.mkdir('app/scripts');
      this.dest.mkdir('app/views');
      this.dest.mkdir('app/scripts/controllers');
      this.dest.mkdir('app/scripts/services');
	  this.src.copy('_app.js', 'app/scripts/app.js');
	  this.src.copy('_controllers.js', 'app/scripts/controllers/controllers.js');
	  this.src.copy('_notes.js', 'app/scripts/controllers/notes.js');
	  this.src.copy('_root.js', 'app/scripts/controllers/root.js');
	  this.src.copy('_services.js', 'app/scripts/services/services.js');
	  this.src.copy('_notes-service.js', 'app/scripts/services/notes-service.js');
      this.src.copy('_package.json', 'package.json');
      this.src.copy('_bower.json', 'bower.json');
      this.src.copy('_gruntfile.js', 'Gruntfile.js');
	  this.src.copy('r.bowerrc', '.bowerrc');
      this.src.copy('_index.html', 'app/index.html');
      this.src.copy('_notes.html', 'app/views/notes.html');
      this.src.copy('_about.html', 'app/views/about.html');
    }
  },

  install: function () {
    this.installDependencies({
      skipInstall: this.options['skip-install']
    });
  }
});
